# Generated from polytexnic-1.10.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name polytexnic

Name: rubygem-%{gem_name}
Version: 1.10.9
Release: 1%{?dist}
Summary: Convert from PolyTeX & Markdown to HTML & LaTeX
License: MIT
URL: https://github.com/softcover/polytexnic
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 2.99.0
# BuildRequires: rubygem(simplecov) = 0.15.1
BuildArch: noarch

%description
Core translation engine for the softcover gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/polytexnic
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.pull_requests
%{gem_instdir}/.quiet
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/notes
%{gem_instdir}/polytexnic_commands.sty
%{gem_instdir}/precompiled_binaries
%{gem_instdir}/tasks
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/polytexnic.gemspec
%{gem_instdir}/spec

%changelog
* Sat Mar 22 2025 mockbuilder - 1.10.9-1
- Initial package
